SRU tracking bug for KDE's Plasma 5.12.8 for bionic

Bug #1819075 reported by Rik Mills on 2019-03-07
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bluedevil (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
breeze (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
breeze-gtk (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
drkonqi (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kactivitymanagerd (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kde-cli-tools (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kde-gtk-config (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kdeplasma-addons (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
khotkeys (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kinfocenter (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kmenuedit (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kscreen (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kscreenlocker (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
ksshaskpass (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
ksysguard (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kwallet-pam (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kwin (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kwrited (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
libkscreen (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
libksysguard (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
milou (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
oxygen (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-desktop (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-discover (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-nm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-pa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-sdk (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-vault (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-workspace (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plymouth-kcm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
powerdevil (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
systemsettings (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
user-manager (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

SRU tracking bug for KDE's Plasma 5.12.8 LTS for bionic

Official release announcement by the KDE community: https://www.kde.org/announcements/plasma-5.12.8.php

Complete changelog (excludes translation updates): https://www.kde.org/announcements/plasma-5.12.7-5.12.8-changelog.php

[Impact]

 * Without this update, general users who are not inclined or able to add our backports/update ppa will not receive this bugfix release of the Plasma 5.12 LTS series

 * Providing this bugfix release via the official update pocket in the archive will ensure that the bugfixes here reach and benefit most of our users. This is particularly important for a Kubuntu and Plasma LTS release

[Test Case]

 * General tests:
  - Does plasma desktop start as normal with no apparent regressions over 5.12.7?
  - General workflow - testers should carry out their normal tasks, using the plasma features they normally do, and test common subsystems such as audio, settings changes, compositing, desktop affects, suspend etc.

 * Specific tests:
  - Check the changelog: https://www.kde.org/announcements/plasma-5.12.7-5.12.8-changelog.php
  - Identify items with front/user facing changes capable of specific testing. e.g. "[weather] Fix weather Notices tab not showing."
   - Test the 'fixed' functionality.

[Regression Potential]

 * These updates fix some obvious front facing issues, but also include some underlying code fixes.
  - e.g. changes for compilation under Qt versions we do not ship yet, code optimizations and fixes with less obvious explanation of impact in the changelog,

 * Fixes for obvious and testable bugs and regressions can also introduce unintended other regressions in either the feature/app being fixed, or desktop components or subsystems that interact with it. So it is important in these updates to consider:

 * General testing - does the desktop as a whole, and routine use of such work as previously with no obvious regressions over the previous release.

 * If there is say a fix for the audio applet to fix one issue, in addition to fixing that issue, do the other common features of that app still work as before, do the general audio settings still work?

[Other Info]

 * Packages not listed in the upstream changelog either have a 0-diff or just translation updates. Those with translation updates have been included in this SRU.

Packages with fixes in changelog:

breeze
breeze-gtk
kdeplasma-addons
kinfocenter
kscreen
kscreenlocker
kwin
libkscreen
plasma-desktop
plasma-pa
plasma-sdk
plasma-vault
plasma-workspace
sddm-kcm (change reverted in KDE git, so will not SRU this package"

Packages with translation updates:

bluedevil
drkonqi
kactivitymanagerd
kde-cli-tools
kde-gtk-config
khotkeys
kmenuedit
ksshaskpass
ksysguard
kwallet-pam
kwrited
libksysguard
milou
oxygen
plasma-discover
plasma-nm
plymouth-kcm
powerdevil
systemsettings
user-manager

CURRENT STATUS

PPA packages tested.

Rik Mills (rikmills) on 2019-03-08
description: updated
Rik Mills (rikmills) on 2019-06-20
description: updated
Rik Mills (rikmills) wrote :

PPA packages are now in: https://launchpad.net/~kubuntu-ppa/+archive/ubuntu/ppa

I'll let those rest there for a short period to make sure no surprise issues come up before doing bionic proposed uploads.

Rik Mills (rikmills) on 2019-07-04
description: updated
Łukasz Zemczak (sil2100) wrote :

I will be handling the review of this SRU. This is currently in progress, but since it's quite a lot of packages it might take a bit for me to get through them all.

Hello Rik, or anyone else affected,

Accepted breeze into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/breeze/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in breeze (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted breeze-gtk into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/breeze-gtk/5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in breeze-gtk (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kscreenlocker into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kscreenlocker/5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kscreenlocker (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kwin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kwin/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kwin (Ubuntu Bionic):
status: New → Fix Committed
Changed in libkscreen (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted libkscreen into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libkscreen/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kinfocenter (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kinfocenter into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kinfocenter/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kscreen (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kscreen into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kscreen/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libksysguard (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted libksysguard into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libksysguard/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plasma-pa (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-pa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-pa/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plasma-workspace (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-workspace into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-workspace/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in bluedevil (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted bluedevil into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/bluedevil/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in drkonqi (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted drkonqi into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/drkonqi/5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kactivitymanagerd (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kactivitymanagerd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kactivitymanagerd/5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kde-cli-tools (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kde-cli-tools into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kde-cli-tools/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kde-gtk-config (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kde-gtk-config into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kde-gtk-config/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in khotkeys (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted khotkeys into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/khotkeys/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plasma-desktop (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-desktop into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-desktop/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plasma-sdk (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-sdk into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-sdk/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kdeplasma-addons (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kdeplasma-addons into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kdeplasma-addons/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plasma-vault (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-vault into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-vault/5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted ksshaskpass into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ksshaskpass/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ksshaskpass (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted ksysguard into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ksysguard/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ksysguard (Ubuntu Bionic):
status: New → Fix Committed
Changed in kwallet-pam (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kwallet-pam into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kwallet-pam/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kwrited (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kwrited into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kwrited/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in milou (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted milou into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/milou/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in oxygen (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted oxygen into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/oxygen/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plasma-discover (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-discover into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-discover/5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plasma-nm (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-nm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-nm/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plymouth-kcm (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plymouth-kcm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plymouth-kcm/5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted powerdevil into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/powerdevil/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in powerdevil (Ubuntu Bionic):
status: New → Fix Committed
Changed in systemsettings (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted systemsettings into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemsettings/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in user-manager (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted user-manager into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/user-manager/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kmenuedit (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kmenuedit into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kmenuedit/4:5.12.8-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

I accepted all the packages. A thing to note though: some packages had dependency version bumps that made no sense, like for instance plasma-workspace had a libkf5sysguard-dev bump to 5.12.8 but the libksysguard upload had only translation changes (was it for some features from an earlier version?). Same for some of the uploads that had only translation changes - for instance khotkeys was a translation-only upload but was bumping the plasma-workspace-dev dep.

I'm leaving this note here in case there was something missed in the uploads. Would be nice to know if those had any meaning.

All autopkgtests for the newly accepted kde-cli-tools (4:5.12.8-0ubuntu0.1) for bionic have finished running.
There have been regressions in tests triggered by the package. Please visit the sru report page and investigate the failures.

https://people.canonical.com/~ubuntu-archive/pending-sru.html#bionic

On 04/07/2019 19:35, Łukasz Zemczak wrote:
> I accepted all the packages. A thing to note though: some packages had
> dependency version bumps that made no sense, like for instance plasma-
> workspace had a libkf5sysguard-dev bump to 5.12.8 but the libksysguard
> upload had only translation changes (was it for some features from an
> earlier version?). Same for some of the uploads that had only
> translation changes - for instance khotkeys was a translation-only
> upload but was bumping the plasma-workspace-dev dep.
>
> I'm leaving this note here in case there was something missed in the
> uploads. Would be nice to know if those had any meaning.

It's simply the behaviour of our automation tooling to by default stage
a Plasma release with
build dep bumps, and is really more targeted at doing initial or earlier
version releases with
this behaviour. Can be overridden, but is simpler to process them all
with it turned on,
and then correct any cases where the bump causes an issue.

All autopkgtests for the newly accepted kscreenlocker (5.12.8-0ubuntu0.1) for bionic have finished running.
There have been regressions in tests triggered by the package. Please visit the sru report page and investigate the failures.

https://people.canonical.com/~ubuntu-archive/pending-sru.html#bionic

All autopkgtests for the newly accepted kwin (4:5.12.8-0ubuntu0.1) for bionic have finished running.
There have been regressions in tests triggered by the package. Please visit the sru report page and investigate the failures.

https://people.canonical.com/~ubuntu-archive/pending-sru.html#bionic

Rik Mills (rikmills) wrote :

The autopkgtests against kscreenlocker and kwin succeeded on retry, as was a case of hiccups on the infra.

The fails of kdeconnect against kde-cli-tools is an upstream issue with that test (race condition) that for some reason has become worse and affecting more architectures, but nontheless is not the fault in any way of the kde-cli-tools upload.

For example the history here: http://autopkgtest.ubuntu.com/packages/k/kdeconnect/bionic/amd64

show that the test was regressed previously when triggered by a qtbase upload, and when triggered against itself (Trigger: kdeconnect/1.3.3-0ubuntu0.18.04.1) it fails, so regressed in release.

Also fails on upstream KDE CI: https://build.kde.org/job/Extragear/job/kdeconnect-kde/job/stable-kf5-qt5%20SUSEQt5.12/2/testReport/projectroot/tests/testsslsocketlinereader/

So in this case the test fails should not block this SRU. A fix in a separate kdeconnect SRU may be considered, if an acceptably reliable upstream solution to their broken test appears.

Darin Miller (darinmiller) wrote :

A test of the entire proposed stack was successful with a fresh install of Bionic. Basic application and system functionality verified including KDE Connect, dolphin, kate, FF, System Settings, etc.

Rik Mills (rikmills) wrote :

Testing done and results:

[Pre SRU Testing]

- Have run the 5.12.8 PPA packages for several weeks on a system prior to bionic-proposed upload. These have also been available to early adopters using our update PPAs. While I acknowledge this is not the same as running the -proposed packages, it would still be expected that adverse changes introduced by upstream changes could/would have had a chance to become apparent. There have been no complaints from me or any users using the ppa.

[Post SRU upgrade and general testing]

- Since the upload to bionic-proposed, I have been using the archive packages to continue testing. Again, no dead kittens.

[ Bugfix testing ]

- I have done the best I can in limited time to reproduce (in VM etc) bugs, and verify that the bionic-proposed package fix the bug. The list of bugfixes in this release is quite extensive. The list of bugfixes in this release is quite extensive, so have focused on the most impactful to users.

[ Conclusion ]

As a Kubuntu developer, I am satisfied within reason that this update should be release to bionic-updates. In particular, it would be good if this can be done soon so that this update spends some time in the release pocket before we get to spinning up 18.04.3 ISOs.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Thank you for all the testing and verification! I have the feeling this new stack got enough time and love in -proposed now - let me release it.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package breeze - 4:5.12.8-0ubuntu0.1

---------------
breeze (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:38:24 +0100

Changed in breeze (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for breeze has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package breeze-gtk - 5.12.8-0ubuntu0.1

---------------
breeze-gtk (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:38:31 +0100

Changed in breeze-gtk (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeplasma-addons - 4:5.12.8-0ubuntu0.1

---------------
kdeplasma-addons (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:38:59 +0100

Changed in kdeplasma-addons (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kscreenlocker - 5.12.8-0ubuntu0.1

---------------
kscreenlocker (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:22 +0100

Changed in kscreenlocker (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kwin - 4:5.12.8-0ubuntu0.1

---------------
kwin (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:39 +0100

Changed in kwin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-pa - 4:5.12.8-0ubuntu0.1

---------------
plasma-pa (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:18 +0100

Changed in plasma-pa (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bluedevil - 4:5.12.8-0ubuntu0.1

---------------
bluedevil (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:38:08 +0100

Changed in bluedevil (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package drkonqi - 5.12.8-0ubuntu0.1

---------------
drkonqi (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:38:41 +0100

Changed in drkonqi (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kactivitymanagerd - 5.12.8-0ubuntu0.1

---------------
kactivitymanagerd (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:38:45 +0100

Changed in kactivitymanagerd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-gtk-config - 4:5.12.8-0ubuntu0.1

---------------
kde-gtk-config (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:38:54 +0100

Changed in kde-gtk-config (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package khotkeys - 4:5.12.8-0ubuntu0.1

---------------
khotkeys (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:04 +0100

Changed in khotkeys (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kmenuedit - 4:5.12.8-0ubuntu0.1

---------------
kmenuedit (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:13 +0100

Changed in kmenuedit (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ksshaskpass - 4:5.12.8-0ubuntu0.1

---------------
ksshaskpass (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:26 +0100

Changed in ksshaskpass (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ksysguard - 4:5.12.8-0ubuntu0.1

---------------
ksysguard (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:30 +0100

Changed in ksysguard (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kwallet-pam - 4:5.12.8-0ubuntu0.1

---------------
kwallet-pam (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:35 +0100

Changed in kwallet-pam (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kwrited - 4:5.12.8-0ubuntu0.1

---------------
kwrited (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:45 +0100

Changed in kwrited (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libksysguard - 4:5.12.8-0ubuntu0.1

---------------
libksysguard (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:53 +0100

Changed in libksysguard (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package milou - 4:5.12.8-0ubuntu0.1

---------------
milou (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:57 +0100

Changed in milou (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxygen - 4:5.12.8-0ubuntu0.1

---------------
oxygen (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:02 +0100

Changed in oxygen (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-discover - 5.12.8-0ubuntu0.1

---------------
plasma-discover (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:38:35 +0100

Changed in plasma-discover (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-nm - 4:5.12.8-0ubuntu0.1

---------------
plasma-nm (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:13 +0100

Changed in plasma-nm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth-kcm - 5.12.8-0ubuntu0.1

---------------
plymouth-kcm (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:37 +0100

Changed in plymouth-kcm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package powerdevil - 4:5.12.8-0ubuntu0.1

---------------
powerdevil (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:41 +0100

Changed in powerdevil (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package user-manager - 4:5.12.8-0ubuntu0.1

---------------
user-manager (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:50 +0100

Changed in user-manager (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kscreen - 4:5.12.8-0ubuntu0.1

---------------
kscreen (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:17 +0100

Changed in kscreen (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libkscreen - 4:5.12.8-0ubuntu0.1

---------------
libkscreen (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:49 +0100

Changed in libkscreen (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-desktop - 4:5.12.8-0ubuntu0.1

---------------
plasma-desktop (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:07 +0100

Changed in plasma-desktop (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-sdk - 4:5.12.8-0ubuntu0.1

---------------
plasma-sdk (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:22 +0100

Changed in plasma-sdk (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-workspace - 4:5.12.8-0ubuntu0.1

---------------
plasma-workspace (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)
  * debian/patches: Remove old dropped upstream patches.

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:31 +0100

Changed in plasma-workspace (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-cli-tools - 4:5.12.8-0ubuntu0.1

---------------
kde-cli-tools (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:38:50 +0100

Changed in kde-cli-tools (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemsettings - 4:5.12.8-0ubuntu0.1

---------------
systemsettings (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:46 +0100

Changed in systemsettings (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kinfocenter - 4:5.12.8-0ubuntu0.1

---------------
kinfocenter (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:39:08 +0100

Changed in kinfocenter (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-vault - 5.12.8-0ubuntu0.1

---------------
plasma-vault (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <email address hidden> Thu, 04 Jul 2019 09:40:27 +0100

Changed in plasma-vault (Ubuntu Bionic):
status: Fix Committed → Fix Released
Rik Mills (rikmills) on 2019-08-26
Changed in bluedevil (Ubuntu):
status: New → Fix Released
Changed in breeze (Ubuntu):
status: New → Fix Released
Changed in drkonqi (Ubuntu):
status: New → Fix Released
Changed in kde-cli-tools (Ubuntu):
status: New → Fix Released
Changed in kactivitymanagerd (Ubuntu):
status: New → Fix Released
Changed in breeze-gtk (Ubuntu):
status: New → Fix Released
Changed in kde-gtk-config (Ubuntu):
status: New → Fix Released
Changed in kdeplasma-addons (Ubuntu):
status: New → Fix Released
Changed in khotkeys (Ubuntu):
status: New → Fix Released
Changed in kinfocenter (Ubuntu):
status: New → Fix Released
Changed in ksysguard (Ubuntu):
status: New → Fix Released
Changed in kwallet-pam (Ubuntu):
status: New → Fix Released
Changed in kscreenlocker (Ubuntu):
status: New → Fix Released
Changed in ksshaskpass (Ubuntu):
status: New → Fix Released
Changed in kscreen (Ubuntu):
status: New → Fix Released
Changed in kmenuedit (Ubuntu):
status: New → Fix Released
Rik Mills (rikmills) on 2019-08-26
Changed in kwin (Ubuntu):
status: New → Fix Released
Changed in kwrited (Ubuntu):
status: New → Fix Released
Changed in libkscreen (Ubuntu):
status: New → Fix Released
Changed in libksysguard (Ubuntu):
status: New → Fix Released
Changed in milou (Ubuntu):
status: New → Fix Released
Changed in oxygen (Ubuntu):
status: New → Fix Released
Changed in plasma-desktop (Ubuntu):
status: New → Fix Released
Changed in plasma-discover (Ubuntu):
status: New → Fix Released
Changed in plasma-nm (Ubuntu):
status: New → Fix Released
Changed in plasma-pa (Ubuntu):
status: New → Fix Released
Changed in plasma-sdk (Ubuntu):
status: New → Fix Released
Changed in plasma-vault (Ubuntu):
status: New → Fix Released
Changed in plasma-workspace (Ubuntu):
status: New → Fix Released
Changed in powerdevil (Ubuntu):
status: New → Fix Released
Changed in systemsettings (Ubuntu):
status: New → Fix Released
Changed in user-manager (Ubuntu):
status: New → Fix Released
Changed in plymouth-kcm (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers